<?php

namespace Superrobota\Softskill\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SoftSkillsTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Softskill\Models\SoftSkills $soft_skills)
    {
        return [
            'id'                => $soft_skills->getRouteKey(),
            'key'               => [
                'public'    => $soft_skills->getPublicKey(),
                'route'     => $soft_skills->getRouteKey(),
            ], 
            'name'              => $soft_skills->name,
            'url'               => [
                'public'    => trans_url('softskill/'.$soft_skills->getPublicKey()),
                'user'      => guard_url('softskill/soft_skills/'.$soft_skills->getRouteKey()),
            ], 
            'status'            => trans('app.'.$soft_skills->status),
            'created_at'        => format_date($soft_skills->created_at),
            'updated_at'        => format_date($soft_skills->updated_at),
        ];
    }
}