<?php

namespace Superrobota\Softskill;

use User;

class Softskill
{
    /**
     * $soft_skills object.
     */
    protected $soft_skills;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Softskill\Interfaces\SoftSkillsRepositoryInterface $soft_skills)
    {
        $this->soft_skills = $soft_skills;
    }

    /**
     * Returns count of softskill.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.soft_skills.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->soft_skills->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\SoftSkillsUserCriteria());
        }

        $soft_skills = $this->soft_skills->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('softskill::' . $view, compact('soft_skills'))->render();
    }
}
